info.bioinfweb.jphyloio.formats.phyloxml

## Enum PropertyOwner

- java.lang.Object
- - java.lang.Enum<PropertyOwner>
  - - info.bioinfweb.jphyloio.formats.phyloxml.PropertyOwner

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PropertyOwner>

      public enum PropertyOwner
      extends java.lang.Enum<PropertyOwner>

  This enum is used by `PhyloXMLEventWriter` to give data receivers information about the data element the contents of a meta event belong to.
  Author:
    Sarah Wiechers

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANNOTATION` The metadata belongs to a sequence annotation.
    `CLADE` The metadata belongs to a node or edge.
    `NODE` The metadata belongs to a node.
    `OTHER` The metadata belongs to an element different from those mentioned above.
    `PARENT_BRANCH` The metadata belongs to an edge.
    `PHYLOGENY` The metadata belongs to a phylogenetic tree or network.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static PropertyOwner` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PropertyOwner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PHYLOGENY

          public static final PropertyOwner PHYLOGENY

      The metadata belongs to a phylogenetic tree or network.

    - #### CLADE

          public static final PropertyOwner CLADE

      The metadata belongs to a node or edge.

    - #### NODE

          public static final PropertyOwner NODE

      The metadata belongs to a node.

    - #### ANNOTATION

          public static final PropertyOwner ANNOTATION

      The metadata belongs to a sequence annotation.

    - #### PARENT_BRANCH

          public static final PropertyOwner PARENT_BRANCH

      The metadata belongs to an edge.

    - #### OTHER

          public static final PropertyOwner OTHER

      The metadata belongs to an element different from those mentioned above.

  - ### Method Detail

    - #### values

          public static PropertyOwner[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyOwner c : PropertyOwner.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyOwner valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<PropertyOwner>`